import { defineStore } from 'pinia'
import { ref } from 'vue'

export const useUserStore = defineStore('user', () => {
  // 用户信息
  const userInfo = ref(null)
  // token
  const token = ref('')
  
  // 设置用户信息
  const setUserInfo = (info) => {
    userInfo.value = info
  }
  
  // 设置token
  const setToken = (newToken) => {
    token.value = newToken
  }
  
  // 清除用户信息
  const clearUserInfo = () => {
    userInfo.value = null
    token.value = ''
  }
  
  return {
    userInfo,
    token,
    setUserInfo,
    setToken,
    clearUserInfo
  }
},{
  persist: true // 启用持久化
})